This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 489011 - Fix issues with key changeover and the Safenet 330J card
Fix issues with key changeover and the Safenet 330J card
Status: CLOSED ERRATA
Product: Dogtag Certificate System
Classification: Community
Component: TPS (Show other bugs)
1.0
All Linux
urgent Severity high
: ---
: ---
Assigned To: Jack Magne
Chandrasekar Kannan
: TechPreview
Depends On:
Blocks: 443788
  Show dependency treegraph
 
Reported: 2009-03-06 13:05 EST by Jack Magne
Modified: 2015-01-04 18:37 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Technology Preview
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-22 19:32:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Changes to allow key changeover to work with the 330J. (1.14 KB, patch)
2009-03-11 20:53 EDT, Jack Magne
no flags Details | Diff
Spec files for changes. (1.87 KB, patch)
2009-03-12 14:25 EDT, Jack Magne
no flags Details | Diff

  None (edit)
Description Jack Magne 2009-03-06 13:05:52 EST
Description of problem:


For the case of changing over the keyset away from the default keyset to something different there is some code present that is still hard coded for the Gemalto cards. Locally this has been made to work with a few minor changes.
Comment 1 Jack Magne 2009-03-11 20:53:17 EDT
Created attachment 334878 [details]
Changes to allow key changeover to work with the 330J.
Comment 2 Jack Magne 2009-03-12 14:25:12 EDT
Created attachment 334984 [details]
Spec files for changes.
Comment 3 Jack Magne 2009-03-12 14:31:55 EDT
In order to put a key that has been changed over back to the developer keyset, the following setting in the TPS's CS.cfg is made as detailed in the current documentation:

op.operation_type.userKey.update.symmetricKeys.requiredVersion=1
Comment 4 Christina Fu 2009-03-13 18:34:26 EDT
(In reply to comment #1)
> Created an attachment (id=334878) [details]
> Changes to allow key changeover to work with the 330J.  

cfu+
Comment 5 Jack Magne 2009-03-16 21:05:53 EDT
svn commit -m "Fix for Bug#489011, 330J key changeover support."
Sending        base/symkey/src/com/netscape/symkey/SymKey.cpp
Sending        base/tps/src/channel/Secure_Channel.cpp
Sending        dogtag/symkey/symkey.spec
Sending        dogtag/tps/pki-tps.spec
Transmitting file data ....
Committed revision 299.
Comment 6 Asha Akkiangady 2009-06-10 13:05:20 EDT
Verified.
On Safenet 330 J card tested key change over to a new keyset from the default keyset and back to the developer keyset, works fine.

Note You need to log in before you can comment on or make changes to this bug.